This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 118817 - iostat only show first 16 drives
iostat only show first 16 drives
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 20:05 EST by Christopher McCrory
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 13:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2004-03-20 20:05:58 EST
Description of problem:
iostat only show first 16 drives

Version-Release number of selected component (if applicable):
sysstat-4.0.7

How reproducible:
always

Steps to Reproduce:
1. install sysstat
2. add more than 16 drives
3.
  
Actual results:
chrismcc]$ iostat
Linux 2.4.21-9.0.1.ELsmp
<snip>
dev8-15         123.34       393.03       117.64   70579736   21124846


Expected results:
...
dev65-XX        123.34       393.03       117.64   70579736   21124846


Additional info:

/proc/partitions  shows al the drives
/proc/stat  does not

so this might be a kernel thing
Comment 2 Christopher McCrory 2004-07-23 11:54:26 EDT
sysstat-4.0.7-4.EL3.3.i386.rpm from RHEL3-U3beta seems to fix this

sending private data output via email 

Comment 3 Charlie Bennett 2004-09-22 18:04:05 EDT
Hi - was this indeed fixed to your satisfaction in update 3?
Comment 4 Christopher McCrory 2004-10-01 16:11:30 EDT
w00t!

thanks

Note You need to log in before you can comment on or make changes to this bug.